/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_uart.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_uart.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	UART0_Config
 **			
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void  UART0_Config(void)
{	
	/*
	1.UART ģʽ
	*/
	UART_ConfigRunMode(UART0, 9600, UART_WLS_8, UART_PARITY_NONE,UART_STOP_BIT_1);	
	UART_EnableAuto(UART0);	
	UART_EnableXONAndXOFF(UART0,UART_USE_XON1_XOFF1);
	UART_SetXON1AndXOFF1(UART0, 'A','B');		
	/*
	2.UART ʱ
	*/	
	SYS_EnablePeripheralClk(SYS_CLK_UART0_MSK);
	/*
	3.UART ӿ
	*/	
	SYS_SET_IOCFG(IOP15CFG,SYS_IOCFG_P15_RXD0);	
	SYS_SET_IOCFG(IOP16CFG,SYS_IOCFG_P16_TXD0);	
	
	/*
	4.UART ж
	*/	
	UART_EnableXOFInt(UART0);
	NVIC_SetPriority(UART0_IRQn,3);	
	NVIC_EnableIRQ(UART0_IRQn); 
}
/******************************************************************************
 ** \brief	 Uart0_putchar
 **			 
 ** \param [in] 
 ** \return  none
 ** \note   
*****************************************************************************/
void Uart0_putchar(char ch)
{
	while(!(UART0->LSR & UART_LSR_THRE_Msk));
	UART0->THR = ch;
}

/******************************************************************************
 ** \brief	 Uart0_getchar
 **			 
 ** \param [in] 
 ** \return  none
 ** \note   
*****************************************************************************/
char Uart0_getchar(void)
{
	while(!(UART0->LSR & UART_LSR_RDR_Msk));
	return  UART0->RBR;
}


